package com.sf.day07;

/**
 * person的测试类
 */
public class PersonTest {
    public static void main(String[] args) {

        /**
         * 构造器的作作用：
         * 1、对象的创建
         * 2、属性的赋值
         */
        Person person = new Person();   //创建对象     --无参构造器
        person.setAge(20);
        person.setName("zhangzhang");
        person.setNo(12345);
        System.out.println(person);


        //方式二
        /**
         * 通过构造器进行属性赋值注意事项：
         *  有参构造器进行赋值
         *  通过有参构造器进行赋值的时候   属性的顺序不能变
         */
        Person person2 = new Person(53646,"小李",21);
        System.out.println(person2);


        Person person3 = new Person(53646);
        System.out.println(person3);

    }
}
